#ifndef __KRFB_IFACE_IMPL_H
#define __KRFB_IFACE_IMPL_H

#include <tqobject.h>
#include "rfbcontroller.h"
#include "krfbiface.h"

class KRfbIfaceImpl : public TQObject, public virtual krfbIface
{
	Q_OBJECT
  TQ_OBJECT
private:
	RFBController *controller;
public:
	KRfbIfaceImpl(RFBController *c);
signals:
	void exitApp();

public:
	void exit();
	void setAllowDesktopControl(bool);
};
#endif
